# Hooks

- [Actions](#actions)
- [Filters](#filters)

## Actions

### `pronamic_pay_webhook_log_payment`

**Arguments**

Argument | Type | Description
-------- | ---- | -----------
`$payment` |  | 

Source: [src/WebhookController.php](../src/WebhookController.php), [line 202](../src/WebhookController.php#L202-L202)

### `pronamic_pay_webhook_log_payment`

**Arguments**

Argument | Type | Description
-------- | ---- | -----------
`$payment` |  | 

Source: [src/WebhookController.php](../src/WebhookController.php), [line 262](../src/WebhookController.php#L262-L262)

## Filters

### `pronamic_pay_mollie_payment_description`

*Filters the Mollie payment description.*

The maximum length of the description field differs per payment
method, with the absolute maximum being 255 characters.

**Arguments**

Argument | Type | Description
-------- | ---- | -----------
`$description` | `string` | Description.
`$payment` | `\Pronamic\WordPress\Pay\Payments\Payment` | Payment.

**Changelog**

Version | Description
------- | -----------
`3.0.1` | 

Source: [src/Gateway.php](../src/Gateway.php), [line 473](../src/Gateway.php#L473-L484)

### `pronamic_pay_mollie_payment_metadata`

*Filters the Mollie metadata.*

**Arguments**

Argument | Type | Description
-------- | ---- | -----------
`$metadata` | `mixed` | Metadata.
`$payment` | `\Pronamic\WordPress\Pay\Payments\Payment` | Payment.

**Changelog**

Version | Description
------- | -----------
`2.2.0` | 

Source: [src/Gateway.php](../src/Gateway.php), [line 619](../src/Gateway.php#L619-L627)

### `pronamic_pay_mollie_payment_billing_email`

*Filters the Mollie payment billing email used for bank transfer payment instructions.*

**Arguments**

Argument | Type | Description
-------- | ---- | -----------
`$billing_email` | `string\|null` | Billing email.
`$payment` | `\Pronamic\WordPress\Pay\Payments\Payment` | Payment.

**Changelog**

Version | Description
------- | -----------
`2.2.0` | 

Source: [src/Gateway.php](../src/Gateway.php), [line 639](../src/Gateway.php#L639-L647)

### `pronamic_pay_mollie_resource_for_payment`

*Filters the resource to use for the payment.*

**Arguments**

Argument | Type | Description
-------- | ---- | -----------
`$resource` | `string` | Resource.
`$payment` | `\Pronamic\WordPress\Pay\Payments\Payment` | Payment.

**Changelog**

Version | Description
------- | -----------
`4.0.0` | 

Source: [src/Gateway.php](../src/Gateway.php), [line 882](../src/Gateway.php#L882-L890)


<p align="center"><a href="https://github.com/pronamic/wp-documentor"><img src="https://cdn.jsdelivr.net/gh/pronamic/wp-documentor@main/logos/pronamic-wp-documentor.svgo-min.svg" alt="Pronamic WordPress Documentor" width="32" height="32"></a><br><em>Generated by <a href="https://github.com/pronamic/wp-documentor">Pronamic WordPress Documentor</a> <code>1.1.1</code></em><p>

